Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition
Class LocaleDefinitionsFactory

    java.lang.Object
      org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
          org.apache.tiles.definition.LocaleDefinitionsFactory

All Implemented Interfaces:
  TilesApplicationContextAware, DefinitionsFactory, Initializable

    public class LocaleDefinitionsFactory

extends UnresolvingLocaleDefinitionsFactory
implements Initializable

`DefinitionsFactory` implementation that manages Definitions configuration data from URLs, but resolving definition inheritance when a definition is returned..

The Definition objects are read from the `DigesterDefinitionsReader` class unless another implementation is specified.

Since:
  2.1.0
Version:
  $Rev: 822631 $ $Date: 2009-10-07 11:21:12 +0200 (mer, 07 ott 2009) $

Field Summary

Fields inherited from class org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
`applicationContext, definitionDao, localeResolver`

Fields inherited from interface org.apache.tiles.definition.DefinitionsFactory
`DEFINITION_DAO_INIT_PARAM, DEFINITIONS_CONFIG, LOCALE_RESOLVER_IMPL_PROPERTY, READER_IMPL_PROPERTY`

Constructor Summary
`LocaleDefinitionsFactory()`

Method Summary
`protected DefinitionDAO<java.util.Locale>` | `createDefaultDefinitionDAO()` Creates the default definition DAO, if it has not been specified outside.
`protected LocaleResolver` | `createDefaultLocaleResolver()` Creates the default locale resolver, if it has not been specified outside.
`Definition` | `getDefinition(java.lang.String name, TilesRequestContext tilesContext)` Returns a Definition object that matches the given name and Tiles context.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> params)` Initializes the DefinitionsFactory and its subcomponents.

Methods inherited from class org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory
`addSource, readDefinitions, setApplicationContext, setDefinitionDAO, setLocaleResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleDefinitionsFactory

    public LocaleDefinitionsFactory()

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> params)

  Initializes the DefinitionsFactory and its subcomponents.

  Implementations may support configuration properties to be passed in via the params Map.

  Specified by:
    `init` in interface `DefinitionsFactory`
  Specified by:
    `init` in interface `Initializable`
  Overrides:
    `init` in class `UnresolvingLocaleDefinitionsFactory`
  Parameters:
    `params` - The Map of configuration properties.
  Throws:
    `DefinitionsFactoryException` - if an initialization error occurs.

### getDefinition

    public Definition getDefinition(java.lang.String name,
                                    TilesRequestContext tilesContext)

  Returns a Definition object that matches the given name and Tiles context.

  Specified by:
    `getDefinition` in interface `DefinitionsFactory`
  Overrides:
    `getDefinition` in class `UnresolvingLocaleDefinitionsFactory`
  Parameters:
    `name` - The name of the Definition to return.
    `tilesContext` - The Tiles context to use to resolve the definition.
  Returns:
    the Definition matching the given name or null if none is found.

### createDefaultLocaleResolver

    protected LocaleResolver createDefaultLocaleResolver()

  Creates the default locale resolver, if it has not been specified outside.

  Returns:
    The default locale resolver.
  Since:
    2.1.0

### createDefaultDefinitionDAO

    protected DefinitionDAO<java.util.Locale> createDefaultDefinitionDAO()

  Creates the default definition DAO, if it has not been specified outside.

  Returns:
    The default definition DAO.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.